#include "AudioEditorView.h"

#include "Label.h"
#include "TextNode.h"
#include "Theme.h"

AudioEditorView::AudioEditorView()
{
    auto label = Label::Create();
    label->setLabel("audio Editor");
    label->setBackgroundColor(Theme::getBackgroundPrimary());
    label->setMargin(1);
    addWidget(std::move(label));
}

std::unique_ptr<AudioEditorView> AudioEditorView::Create()
{
    return std::make_unique<AudioEditorView>();
}
